Translate Legacy List Id to Modern List Id
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-03/idmapping \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/idmapping"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-03/idmapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"legacyListId": "<string>",
"listId": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}ID Mapping
Translate Legacy List Id to Modern List Id
This API allows translation of legacy list id to list id. This is a temporary API allowed for mapping old id’s to new id’s and will expire on May 30th, 2025.
GET
/
crm
/
lists
/
2026-03
/
idmapping
Translate Legacy List Id to Modern List Id
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The legacy list id from lists v1 API.
Last modified on March 31, 2026
Was this page helpful?
⌘I